#
# spec file for package posixovl
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           posixovl
Version:        1.2
Release:        32.1
Summary:        POSIX overlay filesystem
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://posixovl.sf.net/

Source:         http://downloads.sf.net/posixovl/%name-%version.tar.xz
Source2:        http://downloads.sf.net/posixovl/%name-%version.tar.xz.asc
# Next version should be signed with a new key. Use "gpg-offline --package=posixovl --delete 844C4360" then.
Source3:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf >= 2.61
BuildRequires:  automake >= 1.9
BuildRequires:  libattr-devel
BuildRequires:  pkgconfig
BuildRequires:  xz
BuildRequires:  pkgconfig(fuse) >= 2.6.5

%description
A FUSE filesystem that provides POSIX functionality - UNIX-style
permissions, ownership, special files - for filesystems that do not
have such, e.g. vfat. It is a modern equivalent of the UMSDOS fs.

Author:
-------
	Jan Engelhardt

%prep
%setup -qn %name

%build
if [ ! -e configure ]; then
	autoreconf -fiv
fi
%configure
make %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b";
mkdir -p "$b/%_mandir/man8";
ln -s ../man1/posixovl.1 "$b/%_mandir/man8/mount.posixovl.8";

%files
%defattr(-,root,root)
%_sbindir/*
%_mandir/man*/*

%changelog
* Tue Sep 23 2014 jengelh@inai.de
- Drop gpg-offline build-time requirement; this is now handled by
  the local source validator
* Sat Feb 23 2013 jengelh@inai.de
- Specify dependencies for SLE
* Thu Nov 29 2012 sbrabec@suse.cz
- Verify GPG signature.
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Jul 27 2011 jengelh@medozas.de
- Initial package for build.opensuse.org
- Provide mount.posixovl.8 (symlink to posixovl.1)
